System.Security 2.0.0.0 4.0.0.0 System.Security.Cryptography.AsnEncodedData

A object can be thought of as a strongly typed object because of the addition of the property.

Represents an attribute used for CMS/PKCS #7 and PKCS #9 operations.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a specified object as its attribute type and value.

  An object that contains the PKCS #9 attribute type and value to use.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a specified object as the attribute type and a specified ASN.1 encoded data as the attribute value.

  An object that represents the PKCS #9 attribute type.
  An array of byte values that represents the PKCS #9 attribute value.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a specified string representation of an object identifier (OID) as the attribute type and a specified ASN.1 encoded data as the attribute value.

  The string representation of an OID that represents the PKCS #9 attribute type.
  An array of byte values that contains the PKCS #9 attribute value.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Copies a PKCS #9 attribute type and value for this from the specified object.

  An object that contains the PKCS #9 attribute type and value to use.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Oid To be added. To be added.

  Gets an object that represents the type of attribute associated with this object.